set(sources CACHE INTERNAL "This variable should hold all sources at the end of the config step")

#########################################################################################################
######### SOURCE FILES
#########################################################################################################

# the directory where all your source files are located
set(source_directory source)

set(sources
  ${source_directory}/ExampleLibraryFile.C
# add more source files here and place them in <source_directory> (default is "source")
)

### source group definition
source_group("Source Files\\" FILES ${sources})

#########################################################################################################
######### HEADER FILES
#########################################################################################################

# the directory where all your source files are located
set(include_directory include)

# list all header files of the directory here
set(sources_h
  ${include_directory}/ExampleLibraryFile.h
# add more headers here and place them in <include_directory> (default is "include")
)

### source group definition
source_group("Header Files\\" FILES ${sources_h})

list(APPEND sources ${sources_h})

#########################################################################################################
######### EXECUTABLE FILES
#########################################################################################################

## list all your executables here (a corresponding .C file should exist, e.g. Main.C)
set(executables
  Main
# add more executables here (if needed) and place them in the projects root directory
)

#########################################################################################################
######### TEST FILES
#########################################################################################################
set(test_directory tests)

set( tests_executables
  ExampleLibraryFile_test
# add a test named ClassName_test for each class you write here and place the file in <test_directory>
# (default is "tests")
)

### source group definition
source_group("Test Files\\" FILES ${tests_executables})
